## fdm 1.5

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.162 2007/10/01 18:38:48 nicm Exp $
+# $Id: Makefile,v 1.170 2008/03/03 18:39:25 nicm Exp $
 
 .SUFFIXES: .c .o .y .h
 .PHONY: clean lint regress yannotate manual \
 	update-index.html upload-index.html
 
 PROG= fdm
-VERSION= 1.4
+VERSION= 1.5
 
 OS!= uname
 REL!= uname -r
@@ -21,11 +21,11 @@
       xmalloc-debug.c xmalloc.c timer.c \
       deliver-add-header.c deliver-drop.c deliver-keep.c deliver-maildir.c \
       deliver-mbox.c deliver-pipe.c deliver-remove-header.c deliver-rewrite.c \
-      deliver-smtp.c deliver-stdout.c deliver-tag.c deliver-to-cache.c \
-      deliver-write.c \
+      deliver-smtp.c deliver-stdout.c deliver-tag.c deliver-add-to-cache.c \
+      deliver-remove-from-cache.c deliver-write.c \
       fetch-imap.c fetch-imappipe.c fetch-maildir.c fetch-nntp.c fetch-pop3.c \
       fetch-pop3pipe.c fetch-stdin.c fetch-mbox.c pop3-common.c imap-common.c \
-      mail-state.c mail-time.c mail.c file.c \
+      mail-state.c mail-time.c mail.c file.c cache-op.c \
       match-all.c match-age.c match-attachment.c match-command.c \
       match-in-cache.c match-matched.c match-regexp.c match-size.c \
       match-string.c match-tagged.c match-unmatched.c match-account.c \
@@ -53,7 +53,7 @@
 CFLAGS+= -Wno-long-long -Wall -W -Wnested-externs -Wformat=2
 CFLAGS+= -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
 CFLAGS+= -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
-CFLAGS+= -Wundef -Wshadow -Wbad-function-cast -Winline -Wcast-align
+CFLAGS+= -Wundef -Wbad-function-cast -Winline -Wcast-align
 
 .ifdef PCRE
 CFLAGS+= -DPCRE
@@ -77,7 +77,7 @@
 
 # FreeBSD
 .if ${OS} == "FreeBSD"
-INCDIRS+= -Icompat -I/usr/local/include/openssl
+INCDIRS+= -Icompat -I/usr/include/openssl
 
 # FreeBSD 5
 .if ${REL:R} == 5
@@ -87,6 +87,7 @@
 .endif
 
 PREFIX?= /usr/local
+INSTALLDIR= install -d
 INSTALLBIN= install -g bin -o root -m 555
 INSTALLMAN= install -g bin -o root -m 444
 
@@ -98,12 +99,13 @@
 
 OBJS= ${SRCS:S/.c/.o/:S/.y/.o/}
 
+DISTDIR= ${PROG}-${VERSION}
 DISTFILES= *.[chyl] Makefile GNUmakefile *.[1-9] fdm-sanitize \
 	   README MANUAL TODO CHANGES \
-	   `find examples compat -type f -and ! -path '*CVS*'`
+	   `find examples compat regress -type f -and ! -path '*CVS*'`
 
 CLEANFILES= ${PROG} *.o compat/*.o y.tab.c y.tab.h .depend \
-	    ${PROG}-*.tar.gz *~ */*~ *.ln ${PROG}.core MANUAL index.html
+	    ${DISTDIR}.tar.gz *~ */*~ *.ln ${PROG}.core MANUAL index.html
 
 .c.o:
 		${CC} ${CFLAGS} ${INCDIRS} -c ${.IMPSRC} -o ${.TARGET}
@@ -123,8 +125,8 @@
 		[ "`(grep '^VERSION' Makefile; grep '^VERSION' GNUmakefile)| \
 			uniq -u`" = "" ]
 		tar -zc \
-			-s '/.*/${PROG}-${VERSION}\/\0/' \
-			-f ${PROG}-${VERSION}.tar.gz ${DISTFILES}
+			-s '/.*/${DISTDIR}\/\0/' \
+			-f ${DISTDIR}.tar.gz ${DISTFILES}
 
 lint:
 		lint -cehvx ${CFLAGS:M-D*} ${SRCS:M*.c}
@@ -154,8 +156,11 @@
 		awk -f makemanual.awk MANUAL.in > MANUAL
 
 install:	all
+		${INSTALLDIR} ${DESTDIR}${PREFIX}/bin
 		${INSTALLBIN} ${PROG} ${DESTDIR}${PREFIX}/bin/${PROG}
+		${INSTALLDIR} ${DESTDIR}${PREFIX}/man/man1
 		${INSTALLMAN} ${PROG}.1 ${DESTDIR}${PREFIX}/man/man1/
+		${INSTALLDIR} ${DESTDIR}${PREFIX}/man/man5
 		${INSTALLMAN} ${PROG}.conf.5 ${DESTDIR}${PREFIX}/man/man5/
 
 uninstall:
