=== regress/test-imap/Makefile ===
# $Id: Makefile,v 1.1 2007/10/11 09:14:09 nicm Exp $

CLEANFILES= *~ *.fifo.{in,out} *.log *.conf

TESTFILES!= echo imap-*.test

TARGETS=
.for n in ${TESTFILES}
TARGETS+= ${n}
${n}:
		@HOME=. FDM=../../fdm sh test-imap.sh ${n}
.endfor

.MAIN:		all
.PHONY: 	regress clean ${TARGETS}
.PRECIOUS: 	${TARGETS}

all:		regress

regress:	${TARGETS}

clean:
		rm -f ${CLEANFILES}
