=== regress/test-pop3/Makefile ===
# $Id: Makefile,v 1.1 2007/10/10 20:32:07 nicm Exp $

CLEANFILES= *~ *.fifo.{in,out} *.log *.conf

TESTFILES!= echo pop3-*.test

TARGETS=
.for n in ${TESTFILES}
TARGETS+= ${n}
${n}:
		@HOME=. FDM=../../fdm sh test-pop3.sh ${n}
.endfor

.MAIN:		all
.PHONY: 	regress clean ${TARGETS}
.PRECIOUS: 	${TARGETS}

all:		regress

regress:	${TARGETS}

clean:
		rm -f ${CLEANFILES}
