## fdm 1.6

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.170 2008/03/03 18:39:25 nicm Exp $
+# $Id: Makefile,v 1.176 2008/12/22 16:20:05 nicm Exp $
 
 .SUFFIXES: .c .o .y .h
 .PHONY: clean lint regress yannotate manual \
 	update-index.html upload-index.html
 
 PROG= fdm
-VERSION= 1.5
+VERSION= 1.6
 
 OS!= uname
 REL!= uname -r
@@ -22,7 +22,7 @@
       deliver-add-header.c deliver-drop.c deliver-keep.c deliver-maildir.c \
       deliver-mbox.c deliver-pipe.c deliver-remove-header.c deliver-rewrite.c \
       deliver-smtp.c deliver-stdout.c deliver-tag.c deliver-add-to-cache.c \
-      deliver-remove-from-cache.c deliver-write.c \
+      deliver-remove-from-cache.c deliver-write.c deliver-imap.c \
       fetch-imap.c fetch-imappipe.c fetch-maildir.c fetch-nntp.c fetch-pop3.c \
       fetch-pop3pipe.c fetch-stdin.c fetch-mbox.c pop3-common.c imap-common.c \
       mail-state.c mail-time.c mail.c file.c cache-op.c \
@@ -30,6 +30,7 @@
       match-in-cache.c match-matched.c match-regexp.c match-size.c \
       match-string.c match-tagged.c match-unmatched.c match-account.c \
       parent-deliver.c parent-fetch.c \
+      lookup.c lookup-passwd.c lookup-courier.c \
       parse.y parse-fn.c lex.c
 HDRS= fdm.h array.h fetch.h match.h deliver.h
 
@@ -54,6 +55,11 @@
 CFLAGS+= -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
 CFLAGS+= -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
 CFLAGS+= -Wundef -Wbad-function-cast -Winline -Wcast-align
+
+.ifdef COURIER
+CFLAGS+= -DLOOKUP_COURIER
+LIBS+= -lcourierauth
+.endif
 
 .ifdef PCRE
 CFLAGS+= -DPCRE
@@ -117,7 +123,7 @@
 all:		${PROG}
 
 ${PROG}:	${OBJS}
-		${CC} ${LDFLAGS} -o ${PROG} ${LIBS} ${OBJS}
+		${CC} ${LDFLAGS} -o ${PROG} ${OBJS} ${LIBS}
 
 dist:		clean manual
 		grep '^#DEBUG=' Makefile
