=== debian/control ===
Source: fdm
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
Build-Depends: debhelper (>= 7), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev (>= 1.1.1~svn26294-1.1), bison, flex, quilt
Homepage: http://fdm.sf.net
Standards-Version: 3.9.1

Package: fdm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: fetching, filtering and delivering emails
 fdm is a program to fetch mail and deliver it in various ways
 depending on a user-supplied ruleset. Mail may be fetched from
 stdin, IMAP or POP3 servers, or from local maildirs, and filtered
 based on whether it matches a regexp, its size or age, or the output
 of a shell command. It can be rewritten by an external process,
 dropped, left on the server or delivered into maildirs, mboxes, to a
 file or pipe, or any combination.
 .
 fdm is designed to be lightweight but powerful, with a compact but
 clear configuration syntax. It is primarily designed for single-user
 uses but may also be configured to deliver mail in a multi-user
 setup. In this case, it uses privilege separation to minimise the
 amount of code running as the root user.
