=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
	make PCRE=1 PREFIX=/usr

build-stamp: debian/stamp-patched
	dh_testdir
	$(MAKE) depend PREFIX=/usr PCRE=1
	$(MAKE)        PREFIX=/usr PCRE=1
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) PREFIX=/usr PCRE=1 DESTDIR=$(CURDIR)/debian/fdm install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples examples/f-terbeck.conf examples/n-marriott.conf examples/t-ulmer.conf examples/w-maier.conf fdm-sanitize
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
