=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: fdm
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
-Build-Depends: debhelper (>= 7), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev (>= 1.1.1~svn26294-1.1), bison, flex, quilt
+Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
+Build-Depends: debhelper (>= 7), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
 Homepage: http://fdm.sf.net
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: fdm
 Architecture: any
