=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/quilt/quilt.make
 
 CFLAGS = -Wall -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -9,20 +7,28 @@
 	CFLAGS += -O2
 endif
 
+build-arch: build
+
+build-indep: build
+
 build: build-stamp
-	make PCRE=1 PREFIX=/usr
+	$(MAKE) PCRE=1 PREFIX=/usr
+	$(MAKE) -f tools/dist.mk manual
 
-build-stamp: debian/stamp-patched
+build-stamp:
 	dh_testdir
+	sh configure
 	$(MAKE) depend PREFIX=/usr PCRE=1
 	$(MAKE)        PREFIX=/usr PCRE=1
 	touch $@
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	test -f config.mk || sh configure
 	$(MAKE) clean
+	rm -f config.h config.mk MANUAL
 	dh_clean
 
 install: build
