=== debian/changelog ===
fdm (1.7-2) unstable; urgency=low

  * Backport new upstream option `no-tls1' to support more broken servers.
  * Incrementing Standards-Version; no changes needed.
  * Add debian/watch file; from Axel Beckert
  * Add Vcs-* headers to debian/control; again from Axel Beckert. Thanks!

 -- Frank Terbeck <ft@bewatermyfriend.org>  Fri, 10 May 2013 15:45:11 +0200

fdm (1.7-1) unstable; urgency=low

  * New upstream release
  * Incrementing Standards-Version; no changes needed.
  * Refreshed quilt patches, that needed it.
  * Removed 03manpath.patch, since MANPATH can be set via a make variable
    now. (Moving next patch up: 04kfreebsd.patch -> 03kfreebsd.patch)
  * Move to debhelper 9 to get support for dpkg-buildflags, so lintian
    doesn't warn about missing hardening flags anymore. (Incrementing
    compat level and adjusting debhelper dependency.)
  * Thanks to Axel Beckert and Michael Prokop for helping with this
    particular update!

 -- Frank Terbeck <ft@bewatermyfriend.org>  Mon, 06 May 2013 16:46:43 +0200
