=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: mail
 Priority: optional
 Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
-Build-Depends: debhelper (>= 7), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
+Build-Depends: debhelper (>= 9~), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
 Homepage: http://fdm.sf.net
-Standards-Version: 3.9.2
+Vcs-Browser: https://github.com/ft/debian_fdm/
+Vcs-Git: git://github.com/ft/debian_fdm.git
+Standards-Version: 3.9.4
 
 Package: fdm
 Architecture: any
