=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,18 @@
 build-indep: build
 
 build: build-stamp
-	$(MAKE) PCRE=1 PREFIX=/usr
+	dh_auto_build -- PCRE=1
 	$(MAKE) -f tools/dist.mk manual
 
 build-stamp:
 	dh_testdir
-	sh configure
+	dh_auto_configure
 	$(MAKE) depend PREFIX=/usr PCRE=1
-	$(MAKE)        PREFIX=/usr PCRE=1
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
 	test -f config.mk || sh configure
 	$(MAKE) clean
 	rm -f config.h config.mk MANUAL
@@ -36,7 +34,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	$(MAKE) PREFIX=/usr PCRE=1 DESTDIR=$(CURDIR)/debian/fdm install
+	$(MAKE) PREFIX=/usr MANDIR=/usr/share/man PCRE=1 DESTDIR=$(CURDIR)/debian/fdm install
 
 binary-indep: build install
