=== debian/changelog ===
fdm (1.7+cvs20140912-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:17 +0000

fdm (1.7+cvs20140912-1) unstable; urgency=low

  * Import upstream CVS state.
  * Incrementing Standards-Version; no changes needed.

 -- Frank Terbeck <ft@bewatermyfriend.org>  Fri, 12 Sep 2014 23:07:34 +0200
