=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fdm
 Section: mail
 Priority: optional
-Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
 Build-Depends: debhelper (>= 9~), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
 Homepage: http://fdm.sf.net
 Vcs-Browser: https://github.com/ft/debian_fdm/
 Vcs-Git: git://github.com/ft/debian_fdm.git
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: fdm
 Architecture: any
