## fdm 1.9+git20181219

=== debian/changelog ===
fdm (1.9+git20181219-1) unstable; urgency=medium

  * New project homepage: https://github.com/nicm/fdm (Closes: #878646)
  * Note that https://sf.net/projects/fdm/ is another project now!
  * Updated debian/watch to reflect new project location
  * Base package on upstream git snapshot: a450cb8fd1 (Closes: #905781)
  * Upstream switched to autotools and should now be reproducible
    (Closes: #844095)
  * Rename debian packaging repository to pkg-fdm
  * Enable hardening=+all flags in debian/rules
  * Upgrade debhelper dependency
  * Use modern debhelper
  * Add debian/.gitignore
  * debian/rules: Remove --with autoreconf
  * debian/rules: Use pkg-info library instead of parsing changelog
  * debian/control: Use secure uri in Vcs-Git
  * debian/copyright: Update
  * debian/copyright: Reformat to machine-readable dep5-copyright
  * Use debian/examples instead of override_dh_installexamples
  * Update patch adjusting child process user name
  * Remove 02incrlinelim.patch and 03kfreebsd.patch
  * Specify non-exsistent home for debianfdm user
  * Bump standards version to 4.3.0
  * Increase compatibility level to 12

 -- Frank Terbeck <ft@bewatermyfriend.org>  Sat, 12 Jan 2019 14:25:15 +0100
