=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: fdm
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
-Build-Depends: debhelper (>= 9~), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
-Homepage: http://fdm.sf.net
-Vcs-Browser: https://github.com/ft/debian_fdm/
-Vcs-Git: git://github.com/ft/debian_fdm.git
-Standards-Version: 3.9.5
+Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
+Build-Depends: debhelper (>= 12), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
+Homepage: https://github.com/nicm/fdm
+Vcs-Browser: https://github.com/ft/pkg-fdm/
+Vcs-Git: https://github.com/ft/pkg-fdm.git
+Standards-Version: 4.3.0
 
 Package: fdm
 Architecture: any
