=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d+.\d+)\.tar\.gz/$1\/fdm-$1\.tar\.gz/ \
  https://github.com/nicm/fdm/releases/ .+\/(\d+.\d+)\.tar\.gz
