## fdm 2.2+git20250202

=== debian/changelog ===
fdm (2.2+git20250202-3) unstable; urgency=medium

  * [6c9d60e7] Build-depend upon libpcre2-dev

 -- Frank Terbeck <ft@bewatermyfriend.org>  Fri, 05 Sep 2025 23:28:17 +0200

fdm (2.2+git20250202-2) unstable; urgency=medium

  * [41080502] Fix detection patterns in debian/watch (Closes: #1111570)
  * [1b356f9c] gbp: Fix debian version tag pattern in gbp.conf
  * [0d33d161] Improve upstream tarball generation
  * [f370008f] Update debian standards version to 4.7.2

 -- Frank Terbeck <ft@bewatermyfriend.org>  Sun, 31 Aug 2025 20:39:16 +0200

fdm (2.2+git20250202-1) unstable; urgency=medium

  * [96b4e436] Replace obsolete macros AC_HELP_STRING and AC_TRY_LINK,
    from Aaron Ji.
  * [0918b78a] Send UTF8 command to POP3 server (ignore the response),
    because some servers don't like UTF-8 without it.
  * [451c12c6] Update debian standards-version to 4.7.0
  * [a0202224] Update debian package copyright years

 -- Frank Terbeck <ft@bewatermyfriend.org>  Sun, 02 Feb 2025 12:21:03 +0100

fdm (2.2+git20230403-1) unstable; urgency=medium

  * New upstream release.
  * [f1ec1982] Fix bugs in PCRE2 code.
  * [028f59be] Fix use-after-free.
  * Upgrade standards version to 4.6.2.
  * Update debian package copyright years.
  * Update lintian override to renamed tag.
  * Re-Enable PCRE functionality. (Closes: #1034047)

 -- Frank Terbeck <ft@bewatermyfriend.org>  Sat, 08 Apr 2023 18:25:34 +0200

fdm (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Remove obsolete debian/compat file.
  * Add configuration for git-buildpackage.
  * Specify that the sources do not require root to build.
  * Add upstream meta-data file.
  * watch: Remove filenamemangle option.
  * lintian: Disabled upstream signature check.
  * Upgrade standards version to 4.6.1.
  * Upgrade debhelper compatibility to 13 and newer.

 -- Frank Terbeck <ft@bewatermyfriend.org>  Sat, 11 Jun 2022 16:59:31 +0200
