=== debian/control ===
--- 
+++ 
@@ -2,11 +2,19 @@
 Section: mail
 Priority: optional
 Maintainer: Frank Terbeck <ft@bewatermyfriend.org>
-Build-Depends: debhelper (>= 12), libssl-dev, zlib1g-dev, libpcre3-dev, libtdb-dev, bison, flex
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
+               libssl-dev,
+               zlib1g-dev,
+               libpcre2-dev,
+               libtdb-dev,
+               bison,
+               flex
+Rules-Requires-Root: no
 Homepage: https://github.com/nicm/fdm
 Vcs-Browser: https://github.com/ft/pkg-fdm/
 Vcs-Git: https://github.com/ft/pkg-fdm.git
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 
 Package: fdm
 Architecture: any
