=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.+\/fdm-(\d+\.\d+)\.tar\.gz/$1\/fdm-$1\.tar\.gz/ \
  https://api.github.com/repos/nicm/fdm/releases \
  https://[^:]+\/fdm-(\d+\.\d+)\.tar\.gz
